#include <stdio.h>
#include "MClib.h"

#define SIZE 16
volatile int array[SIZE];

int main(int argc, char *args[])
{
    int i;
    int id_x, id_y, rank_x, rank_y;
    MC_init(&id_x, &id_y, &rank_x, &rank_y);

    if (id_x == 1 && id_y == 1) {
        for (i = 0; i < SIZE; i++)
            array[i] = i + 1;

        int dst;
        setidxy(&dst, rank_x, rank_y);
        MC_dma_put(dst, (void*)array, (void*)array, SIZE * sizeof(int), 4, 4);
    }

    if (id_x == rank_x && id_y == rank_y) {
        while(array[SIZE - 1] == 0);

        for(i = 0; i < SIZE; i++)  
            printf("array[%d] %4d\n", i, array[i]);
    }

    MC_finalize();
    return 0;
}
