/**********************************************************************/
/* Many-Core Architecture Research Project       Arch Lab. TOKYO TECH */
/**********************************************************************/
#include "MClib.h"

int a, b;

/**********************************************************************/
int main(int argc, char *args[])
{
    int id_x, id_y, rank_x, rank_y;
    MC_init(&id_x, &id_y, &rank_x, &rank_y);

    if (id_x == 1 && id_y == 1) {
        a = 1;
        b = 2;
        int dst = 0;
        setidxy(&dst, rank_x, rank_y);
        MC_dma_put(dst, &a, &b, 4, 4, 4);
    }
    MC_new_barrier();
    if (id_x == rank_x && id_y == rank_y) {
        printf("value of a = %d\n", a);
        printf("value of b = %d\n", b);
    }

    MC_finalize();

    return 0;
}

/**********************************************************************/
