/**********************************************************************/
/* SimMc: Simulator for Many-Core Architecture Research Environment   */
/* Copyright (C) 2010-2013 Arch Lab. Tokyo Institute of Technology    */
/*  Licensed under GPL. See COPYING file for more information.        */
/**********************************************************************/
#pragma once

/**********************************************************************/
typedef signed char         int008_t;
typedef unsigned char      uint008_t;
typedef signed short        int016_t;
typedef unsigned short     uint016_t;
typedef signed int          int032_t;
typedef unsigned int       uint032_t;
typedef signed long long    int064_t;
typedef unsigned long long uint064_t;

typedef uint032_t   uint;
typedef  int064_t  llint;
typedef uint064_t ullint;

#ifndef INT32_MIN
#define INT32_MIN		(-2147483647-1)
#endif
#ifndef INT64_MIN
#define INT64_MIN		(-9223372036854775807ll-1)
#endif
#ifndef INT32_MAX
#define INT32_MAX		(2147483647)
#endif
#ifndef INT64_MAX
#define INT64_MAX		(9223372036854775807ll)
#endif
#ifndef UINT32_MAX
#define UINT32_MAX		(4294967295u)
#endif
#ifndef UINT64_MAX
#define UINT64_MAX		(18446744073709551615ull)
#endif

/**********************************************************************/
