/**********************************************************************/
/* SimMc: Simulator for Many-Core Architecture Research Environment   */
/* Copyright (C) 2010-2013 Arch Lab. Tokyo Institute of Technology    */
/*  Licensed under GPL. See COPYING file for more information.        */
/**********************************************************************/
#include "../../sim/common/config.h"

/**********************************************************************/
int main(void)
{
    SystemConfig sc;
    sc.readconfigfile("map2.txt");
    sc.print();
    std::cout << std::endl;
    for (int i = 0; i < 8; i++) {
        bool mem   = (i % 2 == 1);
        bool serv  = ((i / 2) % 2 == 1);
        bool smart = (i / 4 == 1);
        sc.clear();
        sc.setdefaultconfig(4, 4, mem, serv, smart);
        sc.print();
        std::cout << std::endl;
    }
    return 0;
}

/**********************************************************************/
