/**********************************************************************/
/* SimMc: Simulator for Many-Core Architecture Research Environment   */
/* Copyright (C) 2010-2013 Arch Lab. Tokyo Institute of Technology    */
/*  Licensed under GPL. See COPYING file for more information.        */
/**********************************************************************/
#include "../../sim/common/mapparser.h"

/**********************************************************************/
int main(void)
{
    std::ostringstream oss;
    MapParser parse;
    for (int i = 1; i <= 6; i++) { 
        oss.str("");
        oss.clear();
        oss << "map" << i << ".txt";
        parse.parse(oss.str().c_str());
        std::cout << "*** " << oss.str() << " ***" << std::endl;
        parse.puterror();
        parse.print();
        std::cout << std::endl;
    }
}

/**********************************************************************/
