/**********************************************************************/
/* Many-Core Architecture Research Project       Arch Lab. TOKYO TECH */
/**********************************************************************/
#include "MClib.h"

/**********************************************************************/
int main(int argc, char *args[])
{
    int i;
    int id_x, id_y, rank_x, rank_y;
    MC_init(&id_x, &id_y, &rank_x, &rank_y);

    for (i = 0; i < 4; i++) {
        unsigned long long time;
        MC_clock(&time);
        printf("!! $$ test22: I am core (%d,%d) time: %d\n",
               id_x, id_y, (int)time);
    }
    
    MC_finalize();
    return 0;
}

/**********************************************************************/
