/**********************************************************************/
/* Many-Core Architecture Research Project       Arch Lab. TOKYO TECH */
/**********************************************************************/
#include "MClib.h"

int array[1024];

/**********************************************************************/
int main(int argc, char *args[])
{
    int i;
    int id_x, id_y, rank_x, rank_y;
    MC_init(&id_x, &id_y, &rank_x, &rank_y);

    for (i = 0; i < 1024; i++)
        array[i] = 0;

    if (id_x == rank_x && id_y == rank_y) {
        int dst = 0;
        for (i = 0; i < 4; i++)
            array[i] = i;
        setidxy(&dst, 0, 0);
        MC_dma_put64(dst, 0x4004000000ull, array, sizeof(int)*4, 4);
    }

    MC_sleep(1000);

    MC_finalize();
    return 0;
}

/**********************************************************************/
