/**********************************************************************/
/* SimMc: Simulator for Many-Core Architecture Research Environment   */
/* Copyright (C) 2010-2013 Arch Lab. Tokyo Institute of Technology    */
/*  Licensed under GPL. See COPYING file for more information.        */
/**********************************************************************/
#include "packet.h"

/* 32 bits/cycle network, Max payload 32 Bytes/packet (11 flits)      */
/**********************************************************************/
const int Packet::def[Packet::NUM_TYPE]
                     [Packet::MAX_FLIT + 1]
                     [Flit::MAX_FLIT_WORDS] =
 // PACKET_PUT32]
{{{FT_HEADER}, {FT_ADDR_L}, {FT_DATA},   {FT_DATA},
  {FT_DATA},   {FT_DATA},   {FT_DATA},   {FT_DATA}, 
  {FT_DATA},   {FT_DATA},   {FT_END}},
 // PACKET_PUT32_STRIDE
 {{FT_HEADER}, {FT_ADDR_L}, {FT_STRIDE}, {FT_DATA}, 
  {FT_DATA},   {FT_DATA},   {FT_DATA},   {FT_DATA},
  {FT_DATA},   {FT_DATA},   {FT_DATA},   {FT_END}},
 // PACKET_PUT64
 {{FT_HEADER}, {FT_ADDR_L}, {FT_ADDR_H}, {FT_DATA},
  {FT_DATA},   {FT_DATA},   {FT_DATA},   {FT_DATA},
  {FT_DATA},   {FT_DATA},   {FT_DATA},   {FT_END}},
 // PACKET_PUT32_ACKNACK
 {{FT_HEADER}, {FT_ADDR_L}, {FT_IMM},    {FT_END}}};

/**********************************************************************/
