########################################################################
## SimMc: Simulator for Many-Core Architecture Research Environment   ##
## Copyright (C) 2010-2012 Arch Lab. Tokyo Institute of Technology    ##
##  Licensed under GPL. See COPYING file for more information.        ##
########################################################################
CC      = g++
OFLAG   = -O3 -Wall -W
LFLAG   =
DEBUG   = -g

OBJECT  = $(SOURCE:.cc=.o)

########################################################################
all:
	$(MAKE) $(TARGET)
########################################################################
$(TARGET): $(SOURCE) $(HEADER) Makefile
	$(CC) $(OFLAG) -o $@ $(SOURCE) $(LFLAG)
########################################################################
.SUFFIXES :
.SUFFIXES : .o .cc

.cc.o: 
	$(CC) $(OFLAG) -c $<

$(OBJECT) : $(HEADER) Makefile
########################################################################
clean:
	rm -f $(TARGET) $(OBJECT) test.out *.*~ *.exe
########################################################################